commit:     0ce9ec9486aaea994fd4a069d9c928c61f05e0a0
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 19 10:38:01 2016 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Mon Sep 19 10:40:02 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ce9ec94

dev-libs/beignet: 1.2.0 requires <sys-devel/llvm-3.8

According to upstream llvm-3.8 should be supported, however using that version
causes compile-time segmentation faults.

Gentoo-Bug: 593968

Package-Manager: portage-2.3.1

 dev-libs/beignet/beignet-1.2.0.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/dev-libs/beignet/beignet-1.2.0.ebuild 
b/dev-libs/beignet/beignet-1.2.0.ebuild
index 0814fe1..0e6c87b 100644
--- a/dev-libs/beignet/beignet-1.2.0.ebuild
+++ b/dev-libs/beignet/beignet-1.2.0.ebuild
@@ -25,10 +25,12 @@ else
        S=${WORKDIR}/Beignet-${PV}-Source
 fi
 
+# Should support <sys-devel/llvm-3.9 but see Bug #593968
 COMMON="${PYTHON_DEPS}
        media-libs/mesa
        sys-devel/clang
        >=sys-devel/llvm-3.5
+       <sys-devel/llvm-3.8
        x11-libs/libdrm[video_cards_intel]
        x11-libs/libXext
        x11-libs/libXfixes"

Reply via email to